"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRecord = void 0;
const isObject_1 = require("./isObject");
function isRecord(value) {
    if (!(0, isObject_1.isObject)(value)) {
        return false;
    }
    // If has modified constructor
    if (value.constructor === undefined) {
        return true;
    }
    // If has modified prototype
    if (!(0, isObject_1.isObject)(value.constructor.prototype)) {
        return false;
    }
    // If constructor does not have an Object-specific method
    if (!Object.prototype.hasOwnProperty.call(value.constructor.prototype, 'isPrototypeOf')) {
        return false;
    }
    // Most likely a plain Object
    return true;
}
exports.isRecord = isRecord;
//# sourceMappingURL=isRecord.js.map