"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringMatcher = void 0;
const PatternMatcher_1 = require("./PatternMatcher");
const rules_1 = require("./rules");
/**
 * @access private
 */
class StringMatcher extends PatternMatcher_1.PatternMatcher {
    when(pattern, transformation) {
        const rule = pattern instanceof RegExp
            ? new rules_1.MatchesRegExp(pattern, transformation)
            : new rules_1.MatchesIdentical(pattern, transformation);
        return new StringMatcher(this.value, this.rules.concat(rule));
    }
}
exports.StringMatcher = StringMatcher;
//# sourceMappingURL=StringMatcher.js.map