import { Predicate } from './Predicate';
/**
 * @desc Ensures that the `value` is a {@link Boolean} value.
 *
 * @example
 * import { ensure, isBoolean, TinyType } from 'tiny-types';
 *
 * class MarketingOptIn extends TinyType {
 *     constructor(public readonly value: boolean) {
 *         ensure('MarketingOptIn', value, isBoolean());
 *     }
 * }
 *
 * @returns {Predicate<boolean>}
 */
export declare function isBoolean(): Predicate<boolean>;
