import { Predicate } from './Predicate';
/**
 * @desc Ensures that the `value` is an integer {@link Number}.
 *
 * @example
 * import { ensure, isInteger, TinyType } from 'tiny-types';
 *
 * class AgeInYears extends TinyType {
 *     constructor(public readonly value: number) {
 *         ensure('Age in years', value, isInteger());
 *     }
 * }
 *
 * @returns {Predicate<number>}
 */
export declare function isInteger(): Predicate<number>;
