import { Predicate } from './Predicate';
/**
 * @desc
 *  Ensures that the `value` is not an empty string.
 *
 * @example
 * import { ensure, isString, TinyType } from 'tiny-types';
 *
 * class FirstName extends TinyType {
 *     constructor(public readonly value: string) {
 *         ensure('FirstName', value, isNotBlank());
 *     }
 * }
 *
 * @returns {Predicate<string>}
 */
export declare function isNotBlank(): Predicate<string>;
